Package ru.bitel.bgbilling.modules.voice.common.service

# Interface VoiceReportsService

    public interface VoiceReportsService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<IdTitle>` | `getOperatorList()` |
  `java.lang.String` | `getParameter​(java.lang.String key)` |
  `java.lang.String` | `getParameters​(java.lang.String reportType)` |
  `java.lang.String` | `getReportCSV​(java.lang.String reportType, java.time.LocalDate period)` |
  `java.lang.String` | `getReportRecords​(java.lang.String reportType, java.time.LocalDate period)` |
  `void` | `updateParameter​(java.lang.String key, java.lang.String value)` |

- ## Method Details

  - ### getParameter

    java.lang.String getParameter​(java.lang.String key) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getParameters

    java.lang.String getParameters​(java.lang.String reportType) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateParameter

    void updateParameter​(java.lang.String key, java.lang.String value) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getReportRecords

    java.lang.String getReportRecords​(java.lang.String reportType, java.time.LocalDate period) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getReportCSV

    java.lang.String getReportCSV​(java.lang.String reportType, java.time.LocalDate period) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getOperatorList

    java.util.List<IdTitle> getOperatorList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`